Skip to main content
GET
/
v1
/
target-markets
List target markets
curl --request GET \
  --url https://public-api.adclear.ai/v1/target-markets \
  --header 'Authorization: Bearer <token>' \
  --header 'X-External-User-ID: <x-external-user-id>'
import requests

url = "https://public-api.adclear.ai/v1/target-markets"

headers = {
"X-External-User-ID": "<x-external-user-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-External-User-ID': '<x-external-user-id>', Authorization: 'Bearer <token>'}
};

fetch('https://public-api.adclear.ai/v1/target-markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "targetMarkets": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>"
    }
  ],
  "correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Unkey API key passed as Bearer token

Headers

X-External-User-ID
string
required

External user identifier from the calling system

X-External-User-Email
string<email>

External user email from the calling system

Response

Target markets list

targetMarkets
object[]
required
correlationId
string<uuid>
required

Correlation ID for request tracing. Include in support requests.